Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Php4 cgi sapi
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Raze
n00b
n00b


Joined: 13 Jul 2009
Posts: 59
Location: Germany

PostPosted: Mon Mar 08, 2010 10:42 am    Post subject: [solved] Php4 cgi sapi Reply with quote

Bitte weiter unten anfangen zu lesen, erstes Problem gelöst.

Vorab: Bitte keine Hinweise dass php4 outdatet und anfällig ist, weiß ich, benötige es aber dennoch.

Ich suche, um php 4.4.9 bauen zu können:

- php-patchset-4.4.8-r0.tar.bz2
- php-patchset-4.4.9-r0.tar.bz2

wundere mich selbst ein wenig über die versionen, ersteres wird bei einem "ebuild file manifest", zweiteres bei einem "ebuild file fetch" versucht zu laden.

Hoffe jemand hat den Kram noch unter distfiles/ oder sonst wo rumliegen / eine Quelle dafür, meine Suche verlief erfolglos.


Last edited by Raze on Wed Mar 17, 2010 10:30 am; edited 2 times in total
Back to top
View user's profile Send private message
Hollowman
Guru
Guru


Joined: 19 Apr 2007
Posts: 584

PostPosted: Mon Mar 08, 2010 11:22 am    Post subject: Reply with quote

Hi

Installier mal layman. Da gibts ein PHP Overlay. Damit solltest du PHp4 installieren können.

http://overlays.gentoo.org/proj/php/browser/patches/php-patches/php-patchset-4.4.9-r0.tar.bz2

http://overlays.gentoo.org/proj/php/browser

Für was brauchst du denn PHP4? Kann man das nicht an PHP5 anpassen?

Sebastian
Back to top
View user's profile Send private message
Raze
n00b
n00b


Joined: 13 Jul 2009
Posts: 59
Location: Germany

PostPosted: Mon Mar 08, 2010 11:29 am    Post subject: Reply with quote

Im layman hab ichs ja ;)

Aber die Source war irgendwie vermurkst, danke für den Link.

Software lässt sich in dem Fall leider nicht an PHP5 anpassen, glaube mir, das wäre mir auch lieber ;)
Back to top
View user's profile Send private message
Raze
n00b
n00b


Joined: 13 Jul 2009
Posts: 59
Location: Germany

PostPosted: Mon Mar 08, 2010 2:32 pm    Post subject: Reply with quote

Das hat nun soweit funktioniert, iodbc patch ist auch raus, kein Problem. Allerdings kann ich die CGI SAPI nicht bauen, benötige Sie aber in jedem Fall.

Code:
 *
 * Building CGI SAPI
 *
make: *** No rule to make target `sapi/cgi/php'.  Stop.
 * ERROR: dev-lang/php-4.4.9 failed:
 *   Unable to make CGI SAPI
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 4410:  Called src_compile_fastbuild
 *   environment, line 4482:  Called die
 * The specific snippet of code:
 *           make sapi/cgi/php || die "Unable to make CGI SAPI";



emerge --info =dev-lang/php-4.4.9
Code:
Portage 2.1.7.17 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.30-gentoo-r6 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.30-gentoo-r6-i686-Intel-R-_Xeon-R-_CPU_X3210_@_2.13GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 08 Mar 2010 11:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-python/pycrypto: 2.1.0_beta1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -D_FORTIFY_SOURCE=0"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -D_FORTIFY_SOURCE=0"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests buildpkg distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ "
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/webapps-experimental /usr/local/portage/layman/php-4"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups cxx dri fortran gdbm gpm iconv ipv6 modules mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="svn dav actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache deflate dir env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif status unique_id userdir usertrack vhost_alias asis auth_digest authn_dbd cern_meta charset_lite dbd dumpio imagemap substitute version" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS


emerge -pqv =dev-lang/php-4.4.9
Code:
[ebuild  NS   ] dev-lang/php-4.4.9 [5.2.12] USE="apache2 bcmath berkdb bzip2 calendar cgi cli crypt ctype curl dbx exif expat fastbuild ftp gd gdbm gmp iconv imap inifile ipv6 mcal mhash mysql ncurses nls pcntl pcre posix readline session sharedmem snmp sockets spell ssl sysvipc tokenizer truetype unicode wddx xml xmlrpc xpm xsl zlib -adabas -birdstep -cdb -cjk -concurrentmodphp -db2 -dbase -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -fdftk -filepro -firebird -flatfile -force-cgi-redirect -frontbase -gd-external -hyperwave-api -informix -interbase -iodbc (-java-external) -java-internal -kerberos -ldap -libedit -mcve -memlimit -ming -mnogosearch -msql -mssql -oci8 -oci8-instant-client -odbc -oracle7 -overload -pfpro -pic -postgres -recode -sapdb -sharedext -solid -sqlite -suhosin -sybase -sybase-ct -threads -yaz -zip"


Ich habs mit und ohne fastbuild getestet, Fehler ist / bleibt der gleiche.
Back to top
View user's profile Send private message
Raze
n00b
n00b


Joined: 13 Jul 2009
Posts: 59
Location: Germany

PostPosted: Wed Mar 17, 2010 10:30 am    Post subject: Reply with quote

Des Rätsels Lösung:

Das Cflag "-D_FORTIFY_SOURCE=0" hat ein Build erfolgreich verhindert. Anschließend traten mit

Code:
USE="cgi sharedext zip" emerge -av =dev-lang/php-4-4-9


keine Probleme mehr auf.

Im übrigen konnte ich mit dem Cflag auch den gcc mit USE="gcj" nicht bauen, auch hier gabs nicht zuordbare Fehler.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum